Subject: Offline Message from I did not recieve Kidkraft - Ainsley Outdoor Swing Set / Playset: I did not recieve Kidkraft - Ainsley Outdoor Swing Set / Playset since April, now it has been 2 months wating for nothing, I need answers or return out money. if you do not corporate I will write a compliment to UEA ministry
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 08 Jun 2020 17:01:01 -0000

From: I did not recieve Kidkraft - Ainsley Outdoor Swing Set / Playset <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/sales/order/view/order_id/1400968/
Department: 

I did not recieve Kidkraft - Ainsley Outdoor Swing Set / Playset since April,
now it has been 2 months wating for nothing, I need answers or return  out money. if you do not corporate I will write a compliment to UEA ministry of economy

----
Zopim
https://www.zopim.com